// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/S009_Sentences.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.linkoln;


@SuppressWarnings("fallthrough")
class S009_Sentences extends LinkolnAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int lkn = 2;
  public static final int inListPeriodo = 4;
  public static final int inPeriodoList = 6;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1,  1,  2,  2,  3, 3
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\34\u0200\1\u0300\1\u0200\1\u0400\1\u0500\u10de\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\0\1\1\1\3\22\0\1\1"+
    "\1\0\1\4\3\0\1\5\1\6\4\0\1\7\2\0"+
    "\1\10\12\11\1\12\1\13\5\0\1\14\1\15\1\16"+
    "\1\17\1\20\1\21\1\22\1\23\1\24\1\21\1\25"+
    "\1\26\1\27\1\30\1\31\1\32\1\33\1\34\1\35"+
    "\1\36\1\37\1\40\3\21\1\41\1\42\1\0\1\43"+
    "\1\0\1\44\1\6\1\45\1\46\1\47\1\50\1\51"+
    "\1\52\1\53\1\54\1\55\1\52\1\56\1\57\1\60"+
    "\1\61\1\62\1\63\1\64\1\65\1\66\1\67\1\70"+
    "\1\71\3\52\1\72\71\0\1\6\13\0\6\52\1\0"+
    "\1\52\2\73\6\52\1\0\6\52\2\0\4\52\3\0"+
    "\6\52\1\0\1\52\2\73\6\52\1\0\6\52\2\0"+
    "\4\52\53\0\2\52\6\0\2\74\66\0\2\52\4\0"+
    "\2\52\17\0\1\75\u0188\0\2\52\216\0\2\52\42\0"+
    "\2\52\104\0\1\1\26\0\1\6\u0110\0\1\76\325\0";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1536];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\4\0\4\1\2\2\23\3\141\0\1\4\7\0\1\4"+
    "\23\0\1\5\377\0\1\6\100\0\1\7\15\0\1\10"+
    "\165\0\2\11\36\0\1\10\63\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[691];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\77\0\176\0\275\0\374\0\u013b\0\u017a\0\u01b9"+
    "\0\u017a\0\u01f8\0\u017a\0\u0237\0\u0276\0\u02b5\0\u02f4\0\u0333"+
    "\0\u0372\0\u03b1\0\u03f0\0\u042f\0\u046e\0\u04ad\0\u04ec\0\u052b"+
    "\0\u056a\0\u05a9\0\u05e8\0\u0627\0\u0666\0\u06a5\0\u06e4\0\u0723"+
    "\0\u0762\0\u07a1\0\u07e0\0\u081f\0\u085e\0\u089d\0\374\0\u08dc"+
    "\0\u091b\0\u095a\0\u0999\0\u09d8\0\u0a17\0\u0a56\0\u0a95\0\u0ad4"+
    "\0\u0b13\0\u0b52\0\u0b91\0\u0bd0\0\u0c0f\0\u0c4e\0\u0c8d\0\u0ccc"+
    "\0\u0d0b\0\u0d4a\0\u0d89\0\u0dc8\0\u0e07\0\u0e46\0\u0e85\0\u0ec4"+
    "\0\u0f03\0\u0f42\0\u0f81\0\u0fc0\0\u0fff\0\u103e\0\u107d\0\u10bc"+
    "\0\u10fb\0\u113a\0\u1179\0\u11b8\0\u11f7\0\u1236\0\u1275\0\u12b4"+
    "\0\u12f3\0\u1332\0\u1371\0\u13b0\0\u13ef\0\u142e\0\u146d\0\u14ac"+
    "\0\u14eb\0\u152a\0\u1569\0\u15a8\0\u15e7\0\u1626\0\u1665\0\u16a4"+
    "\0\u16e3\0\u1722\0\u1761\0\u17a0\0\u17df\0\u181e\0\u185d\0\u189c"+
    "\0\u18db\0\u191a\0\u1959\0\u1998\0\u19d7\0\u1a16\0\u1a55\0\u1a94"+
    "\0\u1ad3\0\u1b12\0\u1b51\0\u1b90\0\u1bcf\0\u1c0e\0\u1c4d\0\u1c8c"+
    "\0\u1ccb\0\u1d0a\0\u1d49\0\u1d88\0\u1dc7\0\u1e06\0\u1e45\0\u1e84"+
    "\0\u1ec3\0\u1f02\0\u1f41\0\u1f80\0\u1fbf\0\u1ffe\0\u017a\0\u203d"+
    "\0\u207c\0\u20bb\0\u20fa\0\u2139\0\u2178\0\u21b7\0\u21f6\0\u2235"+
    "\0\u2274\0\u22b3\0\u22f2\0\u2331\0\u2370\0\u23af\0\u23ee\0\u242d"+
    "\0\u246c\0\u24ab\0\u017a\0\u24ea\0\u2529\0\u2568\0\u1e45\0\u25a7"+
    "\0\u25e6\0\u2625\0\u2664\0\u26a3\0\u26e2\0\u2721\0\u2760\0\u279f"+
    "\0\u27de\0\u281d\0\u285c\0\u289b\0\u28da\0\u2919\0\u2958\0\u2997"+
    "\0\u29d6\0\u2a15\0\u2a54\0\u2a93\0\u2ad2\0\u2b11\0\u2b50\0\u2b8f"+
    "\0\u2bce\0\u2c0d\0\u2c4c\0\u2c8b\0\u2cca\0\u2d09\0\u2d48\0\u2d87"+
    "\0\u2dc6\0\u2e05\0\u2e44\0\u2e83\0\u2ec2\0\u2f01\0\u2f40\0\u2f7f"+
    "\0\u2fbe\0\u2ffd\0\u303c\0\u307b\0\u30ba\0\u30f9\0\u3138\0\u3177"+
    "\0\u31b6\0\u31f5\0\u3234\0\u3273\0\u32b2\0\u32f1\0\u3330\0\u336f"+
    "\0\u33ae\0\u33ed\0\u342c\0\u346b\0\u34aa\0\u34e9\0\u3528\0\u3567"+
    "\0\u35a6\0\u35e5\0\u3624\0\u3663\0\u36a2\0\u36e1\0\u3720\0\u375f"+
    "\0\u379e\0\u37dd\0\u381c\0\u385b\0\u389a\0\u38d9\0\u3918\0\u3957"+
    "\0\u3996\0\u39d5\0\u3a14\0\u3a53\0\u3a92\0\u3ad1\0\u3b10\0\u3b4f"+
    "\0\u3b8e\0\u3bcd\0\u3c0c\0\u3c4b\0\u3c8a\0\u3cc9\0\u3d08\0\u3d47"+
    "\0\u3d86\0\u3dc5\0\u3e04\0\u3e43\0\u3e82\0\u3ec1\0\u3f00\0\u3f3f"+
    "\0\u3f7e\0\u3fbd\0\u3ffc\0\u403b\0\u407a\0\u40b9\0\u40f8\0\u4137"+
    "\0\u4176\0\u41b5\0\u41f4\0\u4233\0\u4272\0\u42b1\0\u42f0\0\u432f"+
    "\0\u436e\0\u43ad\0\u43ec\0\u442b\0\u446a\0\u44a9\0\u44e8\0\u4527"+
    "\0\u4566\0\u45a5\0\u45e4\0\u4623\0\u4662\0\u46a1\0\u46e0\0\u471f"+
    "\0\u475e\0\u479d\0\u47dc\0\u481b\0\u485a\0\u4899\0\u046e\0\u04ad"+
    "\0\u04ec\0\u48d8\0\u056a\0\u05a9\0\u05e8\0\u0627\0\u0666\0\u4917"+
    "\0\u4956\0\u4995\0\u49d4\0\u4a13\0\u4a52\0\u4a91\0\u4ad0\0\u4b0f"+
    "\0\u4b4e\0\u4b8d\0\u4bcc\0\u4c0b\0\u4c4a\0\u4c89\0\u4cc8\0\u4d07"+
    "\0\u4d46\0\u4d85\0\u4dc4\0\u4e03\0\u4e42\0\u4e81\0\u4ec0\0\u4eff"+
    "\0\u4f3e\0\u4f7d\0\u4fbc\0\u4ffb\0\u503a\0\u5079\0\u50b8\0\u50f7"+
    "\0\u5136\0\u5175\0\u51b4\0\u51f3\0\u5232\0\u5271\0\u52b0\0\u52ef"+
    "\0\u532e\0\u536d\0\u53ac\0\u53eb\0\u542a\0\u5469\0\u54a8\0\u54e7"+
    "\0\u5526\0\u5565\0\u55a4\0\u55e3\0\u5622\0\u5661\0\u56a0\0\u56df"+
    "\0\u571e\0\u575d\0\u579c\0\u57db\0\u581a\0\u5859\0\u5898\0\u58d7"+
    "\0\u5916\0\u5955\0\u5994\0\u59d3\0\u5a12\0\u5a51\0\u5a90\0\u5acf"+
    "\0\u5b0e\0\u5b4d\0\u5b8c\0\u5bcb\0\u5c0a\0\u5c49\0\u5c88\0\u5cc7"+
    "\0\u5d06\0\u5d45\0\u5d84\0\u5dc3\0\u5e02\0\u5e41\0\u5e80\0\u5ebf"+
    "\0\u5efe\0\u5f3d\0\u5f7c\0\u5fbb\0\u5ffa\0\u6039\0\u6078\0\u60b7"+
    "\0\u60f6\0\u6135\0\u017a\0\u6174\0\u61b3\0\u61f2\0\u6231\0\u6270"+
    "\0\u62af\0\u62ee\0\u632d\0\u636c\0\u63ab\0\u63ea\0\u6429\0\u6468"+
    "\0\u64a7\0\u64e6\0\u6525\0\u6564\0\u65a3\0\u65e2\0\u6621\0\u6660"+
    "\0\u669f\0\u66de\0\u671d\0\u675c\0\u679b\0\u67da\0\u6819\0\u6858"+
    "\0\u6897\0\u68d6\0\u6915\0\u6954\0\u6993\0\u69d2\0\u6a11\0\u6a50"+
    "\0\u6a8f\0\u6ace\0\u6b0d\0\u6b4c\0\u6b8b\0\u6bca\0\u6c09\0\u6c48"+
    "\0\u6c87\0\u6cc6\0\u6d05\0\u6d44\0\u6d83\0\u6dc2\0\u6e01\0\u6e40"+
    "\0\u6e7f\0\u6ebe\0\u6efd\0\u6f3c\0\u6f7b\0\u6fba\0\u6ff9\0\u7038"+
    "\0\u7077\0\u70b6\0\u70f5\0\u017a\0\u7134\0\u7173\0\u71b2\0\u71f1"+
    "\0\u7230\0\u726f\0\u72ae\0\u72ed\0\u732c\0\u736b\0\u73aa\0\u73e9"+
    "\0\u7428\0\u017a\0\u7467\0\u74a6\0\u74e5\0\u7524\0\u7563\0\u75a2"+
    "\0\u75e1\0\u7620\0\u765f\0\u769e\0\u76dd\0\u771c\0\u775b\0\u779a"+
    "\0\u77d9\0\u7818\0\u7857\0\u7896\0\u78d5\0\u7914\0\u7953\0\u7992"+
    "\0\u79d1\0\u7a10\0\u7a4f\0\u7a8e\0\u7acd\0\u7b0c\0\u7b4b\0\u7b8a"+
    "\0\u7bc9\0\u7c08\0\u7c47\0\u7c86\0\u7cc5\0\u7d04\0\u7d43\0\u7d82"+
    "\0\u7dc1\0\u7e00\0\u7e3f\0\u7e7e\0\u7ebd\0\u7efc\0\u7f3b\0\u7f7a"+
    "\0\u7fb9\0\u7ff8\0\u8037\0\u8076\0\u80b5\0\u80f4\0\u8133\0\u8172"+
    "\0\u81b1\0\u81f0\0\u822f\0\u826e\0\u82ad\0\u82ec\0\u832b\0\u836a"+
    "\0\u83a9\0\u83e8\0\u8427\0\u8466\0\u84a5\0\u84e4\0\u8523\0\u8562"+
    "\0\u85a1\0\u85e0\0\u861f\0\u865e\0\u869d\0\u86dc\0\u871b\0\u875a"+
    "\0\u8799\0\u87d8\0\u8817\0\u8856\0\u8895\0\u88d4\0\u8913\0\u8952"+
    "\0\u8991\0\u89d0\0\u8a0f\0\u8a4e\0\u8a8d\0\u8acc\0\u8b0b\0\u8b4a"+
    "\0\u8b89\0\u8bc8\0\u8c07\0\u8c46\0\u8c85\0\u8cc4\0\u8d03\0\u8d42"+
    "\0\u8d81\0\u8dc0\0\u8dff\0\u8e3e\0\u8e7d\0\u8ebc\0\u8efb\0\u8f3a"+
    "\0\u8f79\0\u8fb8\0\u8ff7\0\u9036\0\u9075\0\u90b4\0\u90f3\0\u017a"+
    "\0\u9132\0\u9171\0\u91b0\0\u91ef\0\u922e\0\u926d\0\u92ac\0\u92eb"+
    "\0\u932a\0\u9369\0\u93a8\0\u93e7\0\u9426\0\u9465\0\u94a4\0\u94e3"+
    "\0\u9522\0\u9561\0\u95a0\0\u95df\0\u961e\0\u965d\0\u969c\0\u96db"+
    "\0\u971a\0\u9759\0\u9798\0\u97d7\0\u9816\0\u9855\0\u9894\0\u7230"+
    "\0\u98d3\0\u9912\0\u9951\0\u9990\0\u99cf\0\u9a0e\0\u9a4d\0\u9a8c"+
    "\0\u9acb\0\u9b0a\0\u9b49\0\u9b88\0\u9bc7\0\u9c06\0\u9c45\0\u9c84"+
    "\0\u9cc3\0\u9d02\0\u9d41\0\u9d80\0\u9dbf\0\u9dfe\0\u9e3d\0\u9e7c"+
    "\0\u9ebb\0\u9efa\0\u9f39\0\u9f78\0\u9fb7\0\u9ff6\0\ua035\0\ua074"+
    "\0\ua0b3\0\ua0f2\0\ua131\0\ua170\0\ua1af\0\ua1ee\0\ua22d\0\ua26c"+
    "\0\ua2ab\0\ua2ea\0\ua329\0\ua368\0\ua3a7\0\ua3e6\0\ua425\0\ua464"+
    "\0\ua4a3\0\ua4e2\0\ua521";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[691];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\3\5\1\6\5\5\1\7\2\5\26\7\1\10\2\5"+
    "\27\7\3\5\42\11\1\12\34\11\17\13\1\14\10\13"+
    "\1\15\1\16\1\17\1\20\1\13\1\21\1\22\1\23"+
    "\1\24\7\13\1\14\10\13\1\15\1\16\1\17\1\20"+
    "\1\13\1\21\1\22\1\23\1\24\3\13\1\21\20\13"+
    "\1\25\10\13\1\26\1\27\1\30\1\31\1\13\1\32"+
    "\1\33\1\34\1\35\7\13\1\25\10\13\1\26\1\27"+
    "\1\30\1\31\1\13\1\32\1\33\1\34\1\35\3\13"+
    "\1\32\1\13\17\0\1\36\10\0\1\37\1\40\1\41"+
    "\1\42\1\0\1\43\1\44\1\45\1\46\7\0\1\36"+
    "\10\0\1\37\1\40\1\41\1\42\1\0\1\43\1\44"+
    "\1\45\1\46\3\0\1\43\3\0\1\47\14\0\1\36"+
    "\10\0\1\37\1\40\1\41\1\42\1\0\1\43\1\44"+
    "\1\45\1\46\7\0\1\36\10\0\1\37\1\40\1\41"+
    "\1\42\1\0\1\43\1\44\1\45\1\46\3\0\1\43"+
    "\117\0\1\36\6\0\1\50\1\0\1\37\1\40\1\41"+
    "\1\42\1\0\1\43\1\44\1\45\1\46\7\0\1\36"+
    "\6\0\1\50\1\0\1\37\1\40\1\41\1\42\1\0"+
    "\1\43\1\44\1\45\1\46\3\0\1\43\11\0\1\51"+
    "\106\0\1\52\3\0\1\53\4\0\1\54\17\0\1\52"+
    "\3\0\1\53\4\0\1\54\11\0\1\53\33\0\1\55"+
    "\30\0\1\55\52\0\1\56\30\0\1\56\43\0\1\57"+
    "\30\0\1\57\50\0\1\60\30\0\1\60\26\0\1\61"+
    "\30\0\1\61\45\0\1\62\13\0\1\63\14\0\1\62"+
    "\13\0\1\63\41\0\1\54\30\0\1\54\35\0\1\64"+
    "\30\0\1\64\45\0\1\65\3\0\1\66\4\0\1\67"+
    "\17\0\1\65\3\0\1\66\4\0\1\67\11\0\1\66"+
    "\33\0\1\70\30\0\1\70\52\0\1\71\30\0\1\71"+
    "\27\0\1\72\13\0\1\73\14\0\1\72\13\0\1\73"+
    "\50\0\1\74\30\0\1\74\26\0\1\75\30\0\1\75"+
    "\45\0\1\76\13\0\1\77\14\0\1\76\13\0\1\77"+
    "\41\0\1\67\30\0\1\67\35\0\1\100\30\0\1\100"+
    "\45\0\1\101\3\0\1\102\4\0\1\103\17\0\1\101"+
    "\3\0\1\102\4\0\1\103\11\0\1\102\33\0\1\104"+
    "\30\0\1\104\52\0\1\105\30\0\1\105\27\0\1\106"+
    "\13\0\1\107\14\0\1\106\13\0\1\107\50\0\1\110"+
    "\30\0\1\110\26\0\1\111\30\0\1\111\45\0\1\112"+
    "\13\0\1\113\14\0\1\112\13\0\1\113\37\0\1\114"+
    "\1\0\1\103\26\0\1\114\1\0\1\103\35\0\1\115"+
    "\30\0\1\115\52\0\1\116\30\0\1\116\17\0\1\116"+
    "\26\0\1\117\30\0\1\117\35\0\1\57\30\0\1\57"+
    "\45\0\1\120\30\0\1\120\46\0\1\121\30\0\1\121"+
    "\56\0\1\122\30\0\1\122\53\0\1\123\30\0\1\123"+
    "\33\0\1\124\30\0\1\124\16\0\1\124\16\0\1\125"+
    "\7\0\1\126\20\0\1\125\7\0\1\126\16\0\1\126"+
    "\20\0\1\127\1\121\15\0\1\130\1\131\10\0\1\127"+
    "\1\121\15\0\1\130\1\131\5\0\1\130\35\0\1\132"+
    "\30\0\1\132\31\0\1\54\30\0\1\54\55\0\1\133"+
    "\30\0\1\133\33\0\1\134\30\0\1\134\45\0\1\135"+
    "\30\0\1\135\46\0\1\136\30\0\1\136\56\0\1\137"+
    "\30\0\1\137\53\0\1\140\30\0\1\140\43\0\1\141"+
    "\30\0\1\141\35\0\1\142\4\0\1\143\23\0\1\142"+
    "\4\0\1\143\11\0\1\142\16\0\1\144\7\0\1\145"+
    "\20\0\1\144\7\0\1\145\16\0\1\145\20\0\1\146"+
    "\1\136\15\0\1\147\1\150\10\0\1\146\1\136\15\0"+
    "\1\147\1\150\5\0\1\147\35\0\1\151\30\0\1\151"+
    "\31\0\1\67\30\0\1\67\55\0\1\152\30\0\1\152"+
    "\33\0\1\153\30\0\1\153\45\0\1\154\30\0\1\154"+
    "\46\0\1\155\30\0\1\155\56\0\1\156\30\0\1\156"+
    "\53\0\1\157\30\0\1\157\43\0\1\160\30\0\1\160"+
    "\35\0\1\161\4\0\1\162\23\0\1\161\4\0\1\162"+
    "\11\0\1\161\16\0\1\163\7\0\1\164\20\0\1\163"+
    "\7\0\1\164\16\0\1\164\20\0\1\165\1\155\15\0"+
    "\1\166\1\167\10\0\1\165\1\155\15\0\1\166\1\167"+
    "\5\0\1\166\35\0\1\170\30\0\1\170\31\0\1\103"+
    "\30\0\1\103\63\0\1\171\30\0\1\171\37\0\1\172"+
    "\30\0\1\172\45\0\1\173\30\0\1\173\42\0\1\174"+
    "\30\0\1\174\17\0\1\174\24\0\1\175\30\0\1\175"+
    "\16\0\1\175\26\0\1\176\30\0\1\176\16\0\1\176"+
    "\33\0\1\177\30\0\1\177\30\0\1\200\30\0\1\200"+
    "\60\0\1\122\30\0\1\122\52\0\1\130\1\0\1\201"+
    "\26\0\1\130\1\0\1\201\37\0\1\202\30\0\1\202"+
    "\46\0\1\203\30\0\1\203\52\0\1\122\30\0\1\122"+
    "\45\0\1\57\30\0\1\57\50\0\1\122\30\0\1\122"+
    "\42\0\1\204\30\0\1\204\33\0\1\142\30\0\1\142"+
    "\16\0\1\142\26\0\1\205\30\0\1\205\16\0\1\205"+
    "\26\0\1\206\30\0\1\206\16\0\1\206\33\0\1\207"+
    "\30\0\1\207\30\0\1\210\30\0\1\210\55\0\1\211"+
    "\30\0\1\211\16\0\1\211\31\0\1\137\30\0\1\137"+
    "\50\0\1\212\30\0\1\212\47\0\1\147\1\0\1\213"+
    "\26\0\1\147\1\0\1\213\37\0\1\214\30\0\1\214"+
    "\46\0\1\215\30\0\1\215\52\0\1\137\30\0\1\137"+
    "\45\0\1\134\30\0\1\134\50\0\1\137\30\0\1\137"+
    "\42\0\1\216\30\0\1\216\33\0\1\161\30\0\1\161"+
    "\16\0\1\161\26\0\1\217\30\0\1\217\16\0\1\217"+
    "\26\0\1\220\30\0\1\220\16\0\1\220\33\0\1\221"+
    "\30\0\1\221\30\0\1\222\30\0\1\222\55\0\1\223"+
    "\30\0\1\223\16\0\1\223\31\0\1\156\30\0\1\156"+
    "\50\0\1\224\30\0\1\224\47\0\1\166\1\0\1\225"+
    "\26\0\1\166\1\0\1\225\37\0\1\226\30\0\1\226"+
    "\46\0\1\227\30\0\1\227\52\0\1\156\30\0\1\156"+
    "\45\0\1\153\30\0\1\153\50\0\1\156\30\0\1\156"+
    "\30\0\1\230\30\0\1\230\16\0\1\230\40\0\1\231"+
    "\30\0\1\231\21\0\1\232\114\0\1\233\30\0\1\233"+
    "\31\0\1\234\14\0\1\235\13\0\1\234\14\0\1\235"+
    "\32\0\1\236\30\0\1\236\30\0\3\237\1\0\1\240"+
    "\24\0\1\241\30\0\1\241\53\0\1\122\30\0\1\122"+
    "\43\0\1\242\30\0\1\242\26\0\1\121\16\0\1\122"+
    "\11\0\1\121\16\0\1\122\37\0\1\243\30\0\1\243"+
    "\35\0\1\244\3\0\1\245\12\0\1\246\11\0\1\244"+
    "\3\0\1\245\12\0\1\246\3\0\1\245\16\0\1\247"+
    "\14\0\1\250\13\0\1\247\14\0\1\250\32\0\1\251"+
    "\30\0\1\251\67\0\1\137\30\0\1\137\36\0\1\252"+
    "\30\0\1\252\45\0\1\253\30\0\1\253\52\0\1\254"+
    "\30\0\1\254\26\0\1\136\16\0\1\137\11\0\1\136"+
    "\16\0\1\137\37\0\1\255\30\0\1\255\35\0\1\256"+
    "\3\0\1\257\12\0\1\260\11\0\1\256\3\0\1\257"+
    "\12\0\1\260\3\0\1\257\16\0\1\261\14\0\1\262"+
    "\13\0\1\261\14\0\1\262\32\0\1\263\30\0\1\263"+
    "\30\0\3\264\1\0\1\265\1\0\1\266\10\0\1\267"+
    "\7\0\1\270\1\0\1\271\16\0\1\267\7\0\1\270"+
    "\1\0\1\271\53\0\1\156\30\0\1\156\36\0\1\272"+
    "\30\0\1\272\45\0\1\273\30\0\1\273\52\0\1\274"+
    "\30\0\1\274\26\0\1\155\16\0\1\156\11\0\1\155"+
    "\16\0\1\156\37\0\1\275\30\0\1\275\44\0\1\276"+
    "\30\0\1\276\36\0\1\277\3\0\1\300\12\0\1\301"+
    "\11\0\1\277\3\0\1\300\12\0\1\301\3\0\1\300"+
    "\16\0\26\302\2\0\1\302\62\0\1\303\4\0\1\304"+
    "\23\0\1\303\4\0\1\304\6\0\1\304\37\0\1\305"+
    "\30\0\1\305\27\0\1\244\30\0\1\244\55\0\1\306"+
    "\30\0\1\306\35\0\1\307\13\0\1\310\14\0\1\307"+
    "\13\0\1\310\42\0\1\311\30\0\1\311\33\0\1\122"+
    "\30\0\1\122\63\0\1\57\30\0\1\57\6\0\1\57"+
    "\17\0\1\312\1\313\13\0\1\314\2\0\1\315\10\0"+
    "\1\312\1\313\13\0\1\314\2\0\1\315\37\0\1\236"+
    "\30\0\1\236\45\0\1\316\4\0\1\317\23\0\1\316"+
    "\4\0\1\317\6\0\1\317\37\0\1\320\30\0\1\320"+
    "\27\0\1\256\30\0\1\256\44\0\1\321\30\0\1\321"+
    "\63\0\1\322\30\0\1\322\6\0\1\322\32\0\1\323"+
    "\30\0\1\323\33\0\1\137\30\0\1\137\63\0\1\134"+
    "\30\0\1\134\6\0\1\134\17\0\1\324\1\325\13\0"+
    "\1\326\2\0\1\327\10\0\1\324\1\325\13\0\1\326"+
    "\2\0\1\327\37\0\1\251\30\0\1\251\45\0\1\330"+
    "\4\0\1\331\23\0\1\330\4\0\1\331\6\0\1\331"+
    "\37\0\1\332\30\0\1\332\27\0\1\277\30\0\1\277"+
    "\26\0\3\264\1\0\1\265\1\0\1\266\7\0\1\36"+
    "\1\267\7\0\1\333\1\40\1\334\1\42\1\0\1\43"+
    "\1\44\1\335\1\46\7\0\1\36\1\267\7\0\1\333"+
    "\1\40\1\334\1\42\1\0\1\43\1\44\1\335\1\46"+
    "\3\0\1\43\31\0\1\336\30\0\1\336\16\0\3\266"+
    "\1\0\1\337\1\0\1\266\7\0\1\36\10\0\1\37"+
    "\1\40\1\340\1\42\1\0\1\43\1\44\1\335\1\46"+
    "\7\0\1\36\10\0\1\37\1\40\1\340\1\42\1\0"+
    "\1\43\1\44\1\335\1\46\3\0\1\43\2\0\3\341"+
    "\1\0\1\342\11\0\1\343\10\0\1\344\1\345\1\346"+
    "\1\347\1\0\1\350\1\351\1\352\1\353\7\0\1\343"+
    "\10\0\1\344\1\345\1\346\1\347\1\0\1\350\1\351"+
    "\1\352\1\353\3\0\1\350\32\0\1\354\30\0\1\354"+
    "\34\0\1\355\13\0\1\356\14\0\1\355\13\0\1\356"+
    "\30\0\1\357\30\0\1\357\63\0\1\360\30\0\1\360"+
    "\6\0\1\360\32\0\1\361\30\0\1\361\33\0\1\156"+
    "\30\0\1\156\73\0\1\362\14\0\1\362\51\0\1\153"+
    "\30\0\1\153\6\0\1\153\17\0\1\363\1\364\13\0"+
    "\1\365\2\0\1\366\10\0\1\363\1\364\13\0\1\365"+
    "\2\0\1\366\37\0\1\263\30\0\1\263\27\0\1\367"+
    "\1\0\26\302\2\0\1\302\62\0\1\370\30\0\1\370"+
    "\52\0\1\371\30\0\1\371\6\0\1\371\37\0\1\236"+
    "\30\0\1\236\24\0\1\372\30\0\1\372\64\0\1\373"+
    "\30\0\1\373\42\0\1\374\30\0\1\374\50\0\1\54"+
    "\30\0\1\54\35\0\1\375\30\0\1\375\16\0\1\375"+
    "\41\0\1\236\30\0\1\236\45\0\1\376\30\0\1\376"+
    "\42\0\1\377\30\0\1\377\41\0\1\u0100\30\0\1\u0100"+
    "\52\0\1\u0101\30\0\1\u0101\6\0\1\u0101\37\0\1\251"+
    "\30\0\1\251\33\0\1\u0102\4\0\1\u0102\23\0\1\u0102"+
    "\4\0\1\u0102\11\0\1\u0102\26\0\1\u0103\30\0\1\u0103"+
    "\16\0\1\u0103\36\0\1\67\30\0\1\67\35\0\1\u0104"+
    "\30\0\1\u0104\16\0\1\u0104\41\0\1\251\30\0\1\251"+
    "\45\0\1\u0105\30\0\1\u0105\42\0\1\u0106\30\0\1\u0106"+
    "\41\0\1\u0107\30\0\1\u0107\52\0\1\u0108\30\0\1\u0108"+
    "\6\0\1\u0108\37\0\1\263\30\0\1\263\40\0\1\u0109"+
    "\30\0\1\u0109\34\0\1\355\13\0\1\u010a\14\0\1\355"+
    "\13\0\1\u010a\41\0\1\103\30\0\1\103\32\0\1\u010b"+
    "\30\0\1\u010b\60\0\1\u010c\30\0\1\u010c\51\0\1\153"+
    "\30\0\1\153\12\0\3\341\1\0\1\342\11\0\1\u010d"+
    "\10\0\1\344\1\345\1\346\1\347\1\0\1\350\1\351"+
    "\1\352\1\353\7\0\1\u010d\10\0\1\344\1\345\1\346"+
    "\1\347\1\0\1\350\1\351\1\352\1\353\3\0\1\350"+
    "\31\0\1\u010e\30\0\1\u010e\16\0\3\341\1\0\1\342"+
    "\11\0\1\u010d\1\u010f\3\0\1\u0110\3\0\1\344\1\u0111"+
    "\1\346\1\347\1\0\1\350\1\351\1\352\1\353\7\0"+
    "\1\u010d\1\u010f\3\0\1\u0110\3\0\1\344\1\u0111\1\346"+
    "\1\347\1\0\1\350\1\351\1\352\1\353\2\0\1\u0110"+
    "\1\350\32\0\1\u0112\30\0\1\u0112\52\0\1\u0113\30\0"+
    "\1\u0113\43\0\1\u0114\30\0\1\u0114\50\0\1\u0115\30\0"+
    "\1\u0115\26\0\1\u0116\30\0\1\u0116\45\0\1\u0117\13\0"+
    "\1\u0118\14\0\1\u0117\13\0\1\u0118\41\0\1\u0119\30\0"+
    "\1\u0119\35\0\1\u011a\30\0\1\u011a\55\0\1\u011b\30\0"+
    "\1\u011b\51\0\1\u011c\30\0\1\u011c\42\0\1\u011d\30\0"+
    "\1\u011d\40\0\1\u011e\4\0\1\u011f\23\0\1\u011e\4\0"+
    "\1\u011f\11\0\1\u011e\26\0\1\u0120\30\0\1\u0120\16\0"+
    "\1\u0120\36\0\1\103\30\0\1\103\12\0\3\362\1\0"+
    "\1\u0121\24\0\1\u0122\30\0\1\u0122\37\0\1\u0123\30\0"+
    "\1\u0123\16\0\1\u0123\41\0\1\263\30\0\1\263\45\0"+
    "\1\u0124\30\0\1\u0124\42\0\1\u0125\30\0\1\u0125\11\0"+
    "\2\367\3\0\5\367\1\u0126\27\367\2\0\33\367\31\0"+
    "\1\u0127\30\0\1\u0127\34\0\1\235\30\0\1\235\62\0"+
    "\1\u0128\30\0\1\u0128\6\0\1\u0128\25\0\1\u0129\30\0"+
    "\1\u0129\16\0\1\u0129\34\0\1\u012a\30\0\1\u012a\43\0"+
    "\1\u012b\30\0\1\u012b\31\0\1\u012c\30\0\1\u012c\51\0"+
    "\1\236\30\0\1\236\56\0\1\u012d\30\0\1\u012d\34\0"+
    "\1\250\30\0\1\250\26\0\3\u0102\1\0\1\u012e\11\0"+
    "\1\u012f\10\0\1\u0130\1\u0131\1\u0132\1\u0133\1\0\1\u0134"+
    "\1\u0135\1\u0136\1\u0137\7\0\1\u012f\10\0\1\u0130\1\u0131"+
    "\1\u0132\1\u0133\1\0\1\u0134\1\u0135\1\u0136\1\u0137\3\0"+
    "\1\u0134\42\0\1\u0138\30\0\1\u0138\34\0\1\u0139\30\0"+
    "\1\u0139\31\0\1\u013a\30\0\1\u013a\51\0\1\251\30\0"+
    "\1\251\56\0\1\u013b\30\0\1\u013b\34\0\1\262\30\0"+
    "\1\262\55\0\1\u013c\30\0\1\u013c\41\0\1\161\4\0"+
    "\1\u011d\23\0\1\161\4\0\1\u011d\11\0\1\161\37\0"+
    "\1\u013d\30\0\1\u013d\6\0\1\u013d\16\0\1\u013e\30\0"+
    "\1\u013e\50\0\1\u010f\3\0\1\u0110\4\0\1\u0119\17\0"+
    "\1\u010f\3\0\1\u0110\4\0\1\u0119\11\0\1\u0110\17\0"+
    "\1\u013f\30\0\1\u013f\46\0\1\u0114\30\0\1\u0114\45\0"+
    "\1\u0140\30\0\1\u0140\46\0\1\u0141\16\0\1\u0113\11\0"+
    "\1\u0141\16\0\1\u0113\37\0\1\u0142\30\0\1\u0142\53\0"+
    "\1\u0143\30\0\1\u0143\33\0\1\u0144\30\0\1\u0144\16\0"+
    "\1\u0144\16\0\1\u0145\7\0\1\u0146\20\0\1\u0145\7\0"+
    "\1\u0146\16\0\1\u0146\20\0\1\u0147\1\u0141\15\0\1\u0148"+
    "\1\u0149\10\0\1\u0147\1\u0141\15\0\1\u0148\1\u0149\5\0"+
    "\1\u0148\35\0\1\u014a\30\0\1\u014a\31\0\1\u0119\30\0"+
    "\1\u0119\44\0\1\u0141\30\0\1\u0141\56\0\1\u014b\30\0"+
    "\1\u014b\33\0\1\u014c\30\0\1\u014c\53\0\1\u014d\30\0"+
    "\1\u014d\16\0\1\u014d\34\0\1\u014e\30\0\1\u014e\14\0"+
    "\3\u011e\1\0\1\u014f\11\0\1\u0150\10\0\1\u0151\1\u0152"+
    "\1\u0153\1\u0154\1\0\1\u0155\1\u0156\1\u0157\1\u0158\7\0"+
    "\1\u0150\10\0\1\u0151\1\u0152\1\u0153\1\u0154\1\0\1\u0155"+
    "\1\u0156\1\u0157\1\u0158\3\0\1\u0155\2\0\3\u011f\1\0"+
    "\1\u0159\11\0\1\u015a\10\0\1\u015b\1\u015c\1\u015d\1\u015e"+
    "\1\0\1\u015f\1\u0160\1\u0161\1\u0162\7\0\1\u015a\10\0"+
    "\1\u015b\1\u015c\1\u015d\1\u015e\1\0\1\u015f\1\u0160\1\u0161"+
    "\1\u0162\3\0\1\u015f\42\0\1\u0163\30\0\1\u0163\34\0"+
    "\1\u0164\30\0\1\u0164\35\0\1\u0165\13\0\1\u0166\14\0"+
    "\1\u0165\13\0\1\u0166\41\0\1\u0167\30\0\1\u0167\31\0"+
    "\1\u0168\30\0\1\u0168\51\0\1\263\30\0\1\263\36\0"+
    "\1\u0169\125\0\1\236\30\0\1\236\37\0\1\u016a\30\0"+
    "\1\u016a\44\0\1\255\30\0\1\255\45\0\1\u016b\30\0"+
    "\1\u016b\47\0\1\313\30\0\1\313\50\0\1\u016c\30\0"+
    "\1\u016c\47\0\1\251\30\0\1\251\35\0\1\u016d\30\0"+
    "\1\u016d\51\0\1\134\30\0\1\134\35\0\1\u016e\30\0"+
    "\1\u016e\16\0\1\u016e\35\0\1\325\30\0\1\325\50\0"+
    "\1\u016f\30\0\1\u016f\47\0\1\263\30\0\1\263\23\0"+
    "\1\u014c\12\0\1\221\15\0\1\u014c\12\0\1\221\46\0"+
    "\1\u0170\30\0\1\u0170\50\0\1\u0171\30\0\1\u0171\6\0"+
    "\1\u0171\36\0\1\u0172\30\0\1\u0172\6\0\1\u0172\25\0"+
    "\1\u0173\30\0\1\u0173\16\0\1\u0173\26\0\1\u0174\30\0"+
    "\1\u0174\16\0\1\u0174\33\0\1\u0175\30\0\1\u0175\30\0"+
    "\1\u0176\30\0\1\u0176\60\0\1\u0142\30\0\1\u0142\52\0"+
    "\1\u0148\1\0\1\u0177\26\0\1\u0148\1\0\1\u0177\37\0"+
    "\1\u0178\30\0\1\u0178\46\0\1\u0179\30\0\1\u0179\52\0"+
    "\1\u0142\30\0\1\u0142\45\0\1\u0114\30\0\1\u0114\50\0"+
    "\1\u0142\30\0\1\u0142\42\0\1\u017a\30\0\1\u017a\32\0"+
    "\1\u017b\30\0\1\u017b\53\0\1\u017c\30\0\1\u017c\45\0"+
    "\1\u017d\30\0\1\u017d\44\0\1\u017e\30\0\1\u017e\35\0"+
    "\1\u017f\3\0\1\u0180\4\0\1\u0181\17\0\1\u017f\3\0"+
    "\1\u0180\4\0\1\u0181\11\0\1\u0180\33\0\1\u0182\30\0"+
    "\1\u0182\52\0\1\u0183\30\0\1\u0183\43\0\1\u0184\30\0"+
    "\1\u0184\50\0\1\u0185\30\0\1\u0185\26\0\1\u0186\30\0"+
    "\1\u0186\45\0\1\u0187\13\0\1\u0188\14\0\1\u0187\13\0"+
    "\1\u0188\41\0\1\u0181\30\0\1\u0181\35\0\1\u0189\30\0"+
    "\1\u0189\55\0\1\u018a\30\0\1\u018a\35\0\1\u018b\3\0"+
    "\1\u018c\4\0\1\u018d\17\0\1\u018b\3\0\1\u018c\4\0"+
    "\1\u018d\11\0\1\u018c\33\0\1\u018e\30\0\1\u018e\52\0"+
    "\1\u018f\30\0\1\u018f\43\0\1\u0190\30\0\1\u0190\50\0"+
    "\1\u0191\30\0\1\u0191\26\0\1\u0192\30\0\1\u0192\45\0"+
    "\1\u0193\13\0\1\u0194\14\0\1\u0193\13\0\1\u0194\41\0"+
    "\1\u018d\30\0\1\u018d\35\0\1\u0195\30\0\1\u0195\51\0"+
    "\1\u0196\30\0\1\u0196\16\0\1\u0196\17\0\1\u0197\30\0"+
    "\1\u0197\64\0\1\u0198\30\0\1\u0198\42\0\1\u0199\30\0"+
    "\1\u0199\47\0\1\364\30\0\1\364\50\0\1\u019a\30\0"+
    "\1\u019a\20\0\1\u0169\31\0\1\u019b\46\0\1\237\120\0"+
    "\1\u019c\30\0\1\u019c\6\0\1\u019c\37\0\1\u019d\30\0"+
    "\1\u019d\24\0\1\u019e\30\0\1\u019e\61\0\1\u019f\30\0"+
    "\1\u019f\52\0\1\u01a0\30\0\1\u01a0\22\0\1\264\115\0"+
    "\1\u01a1\30\0\1\u01a1\45\0\1\u01a2\30\0\1\u01a2\27\0"+
    "\1\u01a3\14\0\1\u01a4\13\0\1\u01a3\14\0\1\u01a4\32\0"+
    "\1\u01a5\30\0\1\u01a5\30\0\3\u0175\1\0\1\u01a6\24\0"+
    "\1\271\30\0\1\271\53\0\1\u0142\30\0\1\u0142\43\0"+
    "\1\u01a7\30\0\1\u01a7\26\0\1\u0141\16\0\1\u0142\11\0"+
    "\1\u0141\16\0\1\u0142\37\0\1\u01a8\30\0\1\u01a8\35\0"+
    "\1\u01a9\3\0\1\u01aa\12\0\1\u01ab\11\0\1\u01a9\3\0"+
    "\1\u01aa\12\0\1\u01ab\3\0\1\u01aa\7\0\1\u01ac\12\0"+
    "\1\u01ad\30\0\1\u01ad\21\0\1\341\22\0\1\u01ae\30\0"+
    "\1\u01ae\63\0\1\u01af\30\0\1\u01af\6\0\1\u01af\16\0"+
    "\1\u01b0\30\0\1\u01b0\46\0\1\u0184\30\0\1\u0184\45\0"+
    "\1\u01b1\30\0\1\u01b1\46\0\1\u01b2\30\0\1\u01b2\56\0"+
    "\1\u01b3\30\0\1\u01b3\53\0\1\u01b4\30\0\1\u01b4\33\0"+
    "\1\u01b5\30\0\1\u01b5\16\0\1\u01b5\16\0\1\u01b6\7\0"+
    "\1\u01b7\20\0\1\u01b6\7\0\1\u01b7\16\0\1\u01b7\20\0"+
    "\1\u01b8\1\u01b2\15\0\1\u01b9\1\u01ba\10\0\1\u01b8\1\u01b2"+
    "\15\0\1\u01b9\1\u01ba\5\0\1\u01b9\35\0\1\u01bb\30\0"+
    "\1\u01bb\31\0\1\u0181\30\0\1\u0181\55\0\1\u01bc\30\0"+
    "\1\u01bc\32\0\1\u01bd\30\0\1\u01bd\46\0\1\u0190\30\0"+
    "\1\u0190\45\0\1\u01be\30\0\1\u01be\46\0\1\u01bf\30\0"+
    "\1\u01bf\56\0\1\u01c0\30\0\1\u01c0\53\0\1\u01c1\30\0"+
    "\1\u01c1\33\0\1\u01c2\30\0\1\u01c2\16\0\1\u01c2\16\0"+
    "\1\u01c3\7\0\1\u01c4\20\0\1\u01c3\7\0\1\u01c4\16\0"+
    "\1\u01c4\20\0\1\u01c5\1\u01bf\15\0\1\u01c6\1\u01c7\10\0"+
    "\1\u01c5\1\u01bf\15\0\1\u01c6\1\u01c7\5\0\1\u01c6\35\0"+
    "\1\u01c8\30\0\1\u01c8\31\0\1\u018d\30\0\1\u018d\55\0"+
    "\1\u01c9\30\0\1\u01c9\46\0\1\u01ca\30\0\1\u01ca\51\0"+
    "\1\u01cb\30\0\1\u01cb\6\0\1\u01cb\25\0\1\u01cc\30\0"+
    "\1\u01cc\16\0\1\u01cc\34\0\1\u01cd\30\0\1\u01cd\51\0"+
    "\1\u01ce\30\0\1\u01ce\33\0\1\u01cf\30\0\1\u01cf\16\0"+
    "\1\u01cf\36\0\1\236\30\0\1\236\46\0\1\u01d0\30\0"+
    "\1\u01d0\6\0\1\u01d0\31\0\1\u01d1\30\0\1\u01d1\51\0"+
    "\1\251\30\0\1\251\24\0\1\266\76\0\1\341\113\0"+
    "\1\u01d2\4\0\1\u01d3\23\0\1\u01d2\4\0\1\u01d3\6\0"+
    "\1\u01d3\37\0\1\u01d4\30\0\1\u01d4\27\0\1\u01a9\30\0"+
    "\1\u01a9\55\0\1\u01d5\30\0\1\u01d5\46\0\1\u01d6\30\0"+
    "\1\u01d6\33\0\1\u0142\30\0\1\u0142\63\0\1\u0114\30\0"+
    "\1\u0114\6\0\1\u0114\17\0\1\u01d7\1\u01d8\13\0\1\u01d9"+
    "\2\0\1\u01da\10\0\1\u01d7\1\u01d8\13\0\1\u01d9\2\0"+
    "\1\u01da\37\0\1\u01a5\30\0\1\u01a5\35\0\1\u01db\30\0"+
    "\1\u01db\26\0\3\341\1\0\1\342\1\341\10\0\1\u010d"+
    "\10\0\1\344\1\345\1\346\1\347\1\0\1\350\1\351"+
    "\1\352\1\353\7\0\1\u010d\10\0\1\344\1\345\1\346"+
    "\1\347\1\0\1\350\1\351\1\352\1\353\3\0\1\350"+
    "\32\0\1\u01dc\30\0\1\u01dc\40\0\1\u01dd\30\0\1\u01dd"+
    "\16\0\1\u01dd\37\0\1\u01de\30\0\1\u01de\6\0\1\u01de"+
    "\25\0\1\u01df\30\0\1\u01df\16\0\1\u01df\26\0\1\u01e0"+
    "\30\0\1\u01e0\16\0\1\u01e0\33\0\1\u01e1\30\0\1\u01e1"+
    "\30\0\1\u01e2\30\0\1\u01e2\60\0\1\u01b3\30\0\1\u01b3"+
    "\52\0\1\u01b9\1\0\1\u01e3\26\0\1\u01b9\1\0\1\u01e3"+
    "\37\0\1\u01e4\30\0\1\u01e4\46\0\1\u01e5\30\0\1\u01e5"+
    "\52\0\1\u01b3\30\0\1\u01b3\45\0\1\u0184\30\0\1\u0184"+
    "\50\0\1\u01b3\30\0\1\u01b3\42\0\1\u01e6\30\0\1\u01e6"+
    "\44\0\1\u01e7\30\0\1\u01e7\6\0\1\u01e7\25\0\1\u01e8"+
    "\30\0\1\u01e8\16\0\1\u01e8\26\0\1\u01e9\30\0\1\u01e9"+
    "\16\0\1\u01e9\33\0\1\u01ea\30\0\1\u01ea\30\0\1\u01eb"+
    "\30\0\1\u01eb\60\0\1\u01c0\30\0\1\u01c0\52\0\1\u01c6"+
    "\1\0\1\u01ec\26\0\1\u01c6\1\0\1\u01ec\37\0\1\u01ed"+
    "\30\0\1\u01ed\46\0\1\u01ee\30\0\1\u01ee\52\0\1\u01c0"+
    "\30\0\1\u01c0\45\0\1\u0190\30\0\1\u0190\50\0\1\u01c0"+
    "\30\0\1\u01c0\42\0\1\u01ef\30\0\1\u01ef\37\0\1\u01f0"+
    "\30\0\1\u01f0\47\0\1\u01f1\30\0\1\u01f1\44\0\1\u01f2"+
    "\30\0\1\u01f2\45\0\1\u01f3\30\0\1\u01f3\50\0\1\263"+
    "\30\0\1\263\52\0\1\u01f4\30\0\1\u01f4\36\0\1\u01f5"+
    "\30\0\1\u01f5\33\0\1\u0102\3\0\1\u0102\24\0\1\u0102"+
    "\3\0\1\u0102\16\0\1\u0102\32\0\1\u01f6\30\0\1\u01f6"+
    "\52\0\1\u01f7\30\0\1\u01f7\6\0\1\u01f7\37\0\1\u01a5"+
    "\30\0\1\u01a5\24\0\1\u01f8\30\0\1\u01f8\64\0\1\u0119"+
    "\30\0\1\u0119\35\0\1\u01f9\30\0\1\u01f9\16\0\1\u01f9"+
    "\41\0\1\u01a5\30\0\1\u01a5\45\0\1\u01fa\30\0\1\u01fa"+
    "\42\0\1\u01fb\30\0\1\u01fb\25\0\1\u01fc\5\0\1\u01fd"+
    "\22\0\1\u01fc\5\0\1\u01fd\64\0\1\u01fe\30\0\1\u01fe"+
    "\36\0\1\u01ff\30\0\1\u01ff\27\0\1\u0200\14\0\1\u0201"+
    "\13\0\1\u0200\14\0\1\u0201\32\0\1\u0202\30\0\1\u0202"+
    "\30\0\3\u0203\1\0\1\u0204\1\0\1\u0205\10\0\1\u0206"+
    "\7\0\1\u0207\20\0\1\u0206\7\0\1\u0207\55\0\1\u01b3"+
    "\30\0\1\u01b3\43\0\1\u0208\30\0\1\u0208\26\0\1\u01b2"+
    "\16\0\1\u01b3\11\0\1\u01b2\16\0\1\u01b3\37\0\1\u0209"+
    "\30\0\1\u0209\35\0\1\u020a\3\0\1\u020b\12\0\1\u020c"+
    "\11\0\1\u020a\3\0\1\u020b\12\0\1\u020c\3\0\1\u020b"+
    "\34\0\1\u020d\30\0\1\u020d\27\0\1\u020e\14\0\1\u020f"+
    "\13\0\1\u020e\14\0\1\u020f\32\0\1\u0210\30\0\1\u0210"+
    "\67\0\1\u01c0\30\0\1\u01c0\43\0\1\u0211\30\0\1\u0211"+
    "\26\0\1\u01bf\16\0\1\u01c0\11\0\1\u01bf\16\0\1\u01c0"+
    "\37\0\1\u0212\30\0\1\u0212\35\0\1\u0213\3\0\1\u0214"+
    "\12\0\1\u0215\11\0\1\u0213\3\0\1\u0214\12\0\1\u0215"+
    "\3\0\1\u0214\22\0\1\u011f\3\0\1\u011e\24\0\1\u011f"+
    "\3\0\1\u011e\16\0\1\u011e\15\0\1\362\102\0\1\u0216"+
    "\30\0\1\u0216\63\0\1\u0217\30\0\1\u0217\6\0\1\u0217"+
    "\25\0\1\u0218\30\0\1\u0218\16\0\1\u0218\15\0\1\u0102"+
    "\114\0\1\u0219\30\0\1\u0219\34\0\1\u01a4\30\0\1\u01a4"+
    "\62\0\1\u021a\30\0\1\u021a\6\0\1\u021a\31\0\1\u021b"+
    "\30\0\1\u021b\31\0\1\u021c\30\0\1\u021c\51\0\1\u01a5"+
    "\30\0\1\u01a5\43\0\1\u021d\30\0\1\u021d\63\0\1\u021e"+
    "\30\0\1\u021e\35\0\1\u021f\30\0\1\u021f\16\0\1\u021f"+
    "\15\0\1\u011e\113\0\1\u0220\4\0\1\u0221\23\0\1\u0220"+
    "\4\0\1\u0221\6\0\1\u0221\37\0\1\u0222\30\0\1\u0222"+
    "\27\0\1\u020a\30\0\1\u020a\26\0\3\u0203\1\0\1\u0204"+
    "\1\0\1\u0205\7\0\1\u0223\1\u0206\7\0\1\u0224\1\u0225"+
    "\1\u0226\1\u0227\1\0\1\u0228\1\u0229\1\u022a\1\u022b\7\0"+
    "\1\u0223\1\u0206\7\0\1\u0224\1\u0225\1\u0226\1\u0227\1\0"+
    "\1\u0228\1\u0229\1\u022a\1\u022b\3\0\1\u0228\31\0\1\u022c"+
    "\30\0\1\u022c\16\0\3\u0205\1\0\1\u022d\1\0\1\u0205"+
    "\7\0\1\u0223\10\0\1\u022e\1\u0225\1\u0226\1\u0227\1\0"+
    "\1\u0228\1\u0229\1\u022a\1\u022b\7\0\1\u0223\10\0\1\u022e"+
    "\1\u0225\1\u0226\1\u0227\1\0\1\u0228\1\u0229\1\u022a\1\u022b"+
    "\3\0\1\u0228\2\0\3\u011f\1\0\1\u0159\11\0\1\u022f"+
    "\10\0\1\u015b\1\u015c\1\u015d\1\u015e\1\0\1\u015f\1\u0160"+
    "\1\u0161\1\u0162\7\0\1\u022f\10\0\1\u015b\1\u015c\1\u015d"+
    "\1\u015e\1\0\1\u015f\1\u0160\1\u0161\1\u0162\3\0\1\u015f"+
    "\32\0\1\u0230\30\0\1\u0230\45\0\1\u0231\30\0\1\u0231"+
    "\33\0\1\u01b3\30\0\1\u01b3\63\0\1\u0184\30\0\1\u0184"+
    "\6\0\1\u0184\17\0\1\u0232\1\u0233\13\0\1\u0234\2\0"+
    "\1\u0235\10\0\1\u0232\1\u0233\13\0\1\u0234\2\0\1\u0235"+
    "\37\0\1\u0202\30\0\1\u0202\30\0\1\u011f\113\0\1\u0236"+
    "\4\0\1\u0237\23\0\1\u0236\4\0\1\u0237\6\0\1\u0237"+
    "\37\0\1\u0238\30\0\1\u0238\27\0\1\u0213\30\0\1\u0213"+
    "\56\0\1\u0239\30\0\1\u0239\33\0\1\u01c0\30\0\1\u01c0"+
    "\63\0\1\u0190\30\0\1\u0190\6\0\1\u0190\17\0\1\u023a"+
    "\1\u023b\13\0\1\u023c\2\0\1\u023d\10\0\1\u023a\1\u023b"+
    "\13\0\1\u023c\2\0\1\u023d\37\0\1\u0210\30\0\1\u0210"+
    "\46\0\1\u023e\30\0\1\u023e\40\0\1\u023f\30\0\1\u023f"+
    "\16\0\1\u023f\33\0\1\u0240\30\0\1\u0240\54\0\1\u01a5"+
    "\30\0\1\u01a5\37\0\1\u0241\30\0\1\u0241\46\0\1\u01d8"+
    "\30\0\1\u01d8\50\0\1\u0242\30\0\1\u0242\46\0\1\u0243"+
    "\30\0\1\u0243\22\0\1\u0244\30\0\1\u0244\62\0\1\u0245"+
    "\30\0\1\u0245\44\0\1\u0246\30\0\1\u0246\52\0\1\u0247"+
    "\30\0\1\u0247\6\0\1\u0247\37\0\1\u0202\30\0\1\u0202"+
    "\27\0\1\u0248\3\0\1\u0249\4\0\1\u024a\17\0\1\u0248"+
    "\3\0\1\u0249\4\0\1\u024a\11\0\1\u0249\33\0\1\u024b"+
    "\30\0\1\u024b\52\0\1\u024c\30\0\1\u024c\43\0\1\u024d"+
    "\30\0\1\u024d\50\0\1\u024e\30\0\1\u024e\26\0\1\u024f"+
    "\30\0\1\u024f\45\0\1\u0250\13\0\1\u0251\14\0\1\u0250"+
    "\13\0\1\u0251\41\0\1\u024a\30\0\1\u024a\35\0\1\u0252"+
    "\30\0\1\u0252\42\0\1\u0253\30\0\1\u0253\60\0\1\u0254"+
    "\30\0\1\u0254\46\0\1\u0255\30\0\1\u0255\15\0\3\u011f"+
    "\1\0\1\u0159\11\0\1\u015a\1\u018b\3\0\1\u018c\3\0"+
    "\1\u015b\1\u0256\1\u015d\1\u015e\1\0\1\u015f\1\u0160\1\u0161"+
    "\1\u0162\7\0\1\u015a\1\u018b\3\0\1\u018c\3\0\1\u015b"+
    "\1\u0256\1\u015d\1\u015e\1\0\1\u015f\1\u0160\1\u0161\1\u0162"+
    "\2\0\1\u018c\1\u015f\31\0\1\u0257\30\0\1\u0257\51\0"+
    "\1\u0181\30\0\1\u0181\35\0\1\u0258\30\0\1\u0258\16\0"+
    "\1\u0258\41\0\1\u0202\30\0\1\u0202\45\0\1\u0259\30\0"+
    "\1\u0259\42\0\1\u025a\30\0\1\u025a\41\0\1\u025b\30\0"+
    "\1\u025b\52\0\1\u025c\30\0\1\u025c\6\0\1\u025c\37\0"+
    "\1\u0210\30\0\1\u0210\43\0\1\u018d\30\0\1\u018d\35\0"+
    "\1\u025d\30\0\1\u025d\16\0\1\u025d\41\0\1\u0210\30\0"+
    "\1\u0210\45\0\1\u025e\30\0\1\u025e\42\0\1\u025f\30\0"+
    "\1\u025f\11\0\3\u0260\1\u0261\5\u0260\1\0\2\u0260\26\0"+
    "\3\u0260\27\0\3\u0260\41\0\1\u0262\30\0\1\u0262\34\0"+
    "\1\u0263\30\0\1\u0263\30\0\1\u0175\121\0\1\u0264\30\0"+
    "\1\u0264\45\0\1\u0265\30\0\1\u0265\47\0\1\u0265\30\0"+
    "\1\u0265\35\0\1\u0266\30\0\1\u0266\46\0\1\u0267\30\0"+
    "\1\u0267\34\0\1\u0201\30\0\1\u0201\43\0\1\u024d\30\0"+
    "\1\u024d\45\0\1\u0268\30\0\1\u0268\46\0\1\u0269\30\0"+
    "\1\u0269\56\0\1\u026a\30\0\1\u026a\53\0\1\u026b\30\0"+
    "\1\u026b\33\0\1\u026c\30\0\1\u026c\16\0\1\u026c\16\0"+
    "\1\u026d\7\0\1\u026e\20\0\1\u026d\7\0\1\u026e\16\0"+
    "\1\u026e\20\0\1\u026f\1\u0269\15\0\1\u0270\1\u0271\10\0"+
    "\1\u026f\1\u0269\15\0\1\u0270\1\u0271\5\0\1\u0270\35\0"+
    "\1\u0272\30\0\1\u0272\31\0\1\u024a\30\0\1\u024a\55\0"+
    "\1\u0273\30\0\1\u0273\52\0\1\u0274\30\0\1\u0274\6\0"+
    "\1\u0274\16\0\1\u0275\30\0\1\u0275\60\0\1\u0276\30\0"+
    "\1\u0276\34\0\1\u01bf\16\0\1\u018f\11\0\1\u01bf\16\0"+
    "\1\u018f\25\0\1\u0277\30\0\1\u0277\57\0\1\u0278\30\0"+
    "\1\u0278\31\0\1\u0279\30\0\1\u0279\51\0\1\u0202\30\0"+
    "\1\u0202\56\0\1\u027a\30\0\1\u027a\34\0\1\u020f\30\0"+
    "\1\u020f\55\0\1\u027b\30\0\1\u027b\31\0\1\u027c\30\0"+
    "\1\u027c\51\0\1\u0210\30\0\1\u0210\27\0\1\u0260\120\0"+
    "\1\u027d\30\0\1\u027d\16\0\1\u027d\22\0\1\207\30\0"+
    "\1\207\61\0\1\u01a5\30\0\1\u01a5\31\0\1\u01a2\30\0"+
    "\1\u01a2\45\0\1\u01dc\30\0\1\u01dc\65\0\1\u0202\30\0"+
    "\1\u0202\31\0\1\u027e\30\0\1\u027e\16\0\1\u027e\26\0"+
    "\1\u027f\30\0\1\u027f\16\0\1\u027f\20\0\1\u0277\12\0"+
    "\1\u0280\15\0\1\u0277\12\0\1\u0280\30\0\1\u0281\30\0"+
    "\1\u0281\60\0\1\u0276\30\0\1\u0276\52\0\1\u0270\1\0"+
    "\1\u0282\26\0\1\u0270\1\0\1\u0282\37\0\1\u0283\30\0"+
    "\1\u0283\46\0\1\u0284\30\0\1\u0284\52\0\1\u0276\30\0"+
    "\1\u0276\45\0\1\u024d\30\0\1\u024d\50\0\1\u0276\30\0"+
    "\1\u0276\42\0\1\u0285\30\0\1\u0285\41\0\1\u0286\30\0"+
    "\1\u0286\50\0\1\u0287\30\0\1\u0287\6\0\1\u0287\32\0"+
    "\1\u0280\30\0\1\u0280\37\0\1\u0288\30\0\1\u0288\55\0"+
    "\1\u0233\30\0\1\u0233\50\0\1\u0289\30\0\1\u0289\47\0"+
    "\1\u0210\30\0\1\u0210\40\0\1\u023b\30\0\1\u023b\50\0"+
    "\1\u028a\30\0\1\u028a\40\0\1\u028b\30\0\1\u028b\30\0"+
    "\1\u028c\14\0\1\u028d\13\0\1\u028c\14\0\1\u028d\32\0"+
    "\1\u028e\30\0\1\u028e\67\0\1\u0276\30\0\1\u0276\43\0"+
    "\1\u028f\30\0\1\u028f\26\0\1\u0269\16\0\1\u0276\11\0"+
    "\1\u0269\16\0\1\u0276\37\0\1\u0290\30\0\1\u0290\35\0"+
    "\1\u0291\3\0\1\u0292\12\0\1\u0293\11\0\1\u0291\3\0"+
    "\1\u0292\12\0\1\u0293\3\0\1\u0292\15\0\1\u0203\115\0"+
    "\1\u0294\30\0\1\u0294\20\0\1\u0295\12\0\1\u0296\30\0"+
    "\1\u0296\21\0\1\u011f\41\0\1\u0297\30\0\1\u0297\45\0"+
    "\1\u0298\30\0\1\u0298\37\0\1\u0299\30\0\1\u0299\45\0"+
    "\1\u029a\4\0\1\u029b\23\0\1\u029a\4\0\1\u029b\6\0"+
    "\1\u029b\37\0\1\u029c\30\0\1\u029c\27\0\1\u0291\30\0"+
    "\1\u0291\56\0\1\u029d\30\0\1\u029d\33\0\1\u0276\30\0"+
    "\1\u0276\63\0\1\u024d\30\0\1\u024d\6\0\1\u024d\17\0"+
    "\1\u029e\1\u029f\13\0\1\u02a0\2\0\1\u02a1\10\0\1\u029e"+
    "\1\u029f\13\0\1\u02a0\2\0\1\u02a1\37\0\1\u028e\30\0"+
    "\1\u028e\30\0\1\u0205\103\0\1\u02a2\30\0\1\u02a2\26\0"+
    "\3\u011f\1\0\1\u0159\1\u011f\10\0\1\u015a\10\0\1\u015b"+
    "\1\u015c\1\u015d\1\u015e\1\0\1\u015f\1\u0160\1\u0161\1\u0162"+
    "\7\0\1\u015a\10\0\1\u015b\1\u015c\1\u015d\1\u015e\1\0"+
    "\1\u015f\1\u0160\1\u0161\1\u0162\3\0\1\u015f\35\0\1\u0202"+
    "\30\0\1\u0202\45\0\1\u0210\30\0\1\u0210\31\0\1\u023e"+
    "\30\0\1\u023e\55\0\1\u02a3\30\0\1\u02a3\52\0\1\u02a4"+
    "\30\0\1\u02a4\6\0\1\u02a4\37\0\1\u028e\30\0\1\u028e"+
    "\43\0\1\u024a\30\0\1\u024a\35\0\1\u02a5\30\0\1\u02a5"+
    "\16\0\1\u02a5\41\0\1\u028e\30\0\1\u028e\45\0\1\u02a6"+
    "\30\0\1\u02a6\42\0\1\u02a7\30\0\1\u02a7\25\0\1\u02a8"+
    "\5\0\1\u02a9\22\0\1\u02a8\5\0\1\u02a9\54\0\1\u02aa"+
    "\30\0\1\u02aa\34\0\1\u028d\30\0\1\u028d\55\0\1\u02ab"+
    "\30\0\1\u02ab\31\0\1\u02ac\30\0\1\u02ac\51\0\1\u028e"+
    "\30\0\1\u028e\43\0\1\u02ad\30\0\1\u02ad\63\0\1\u02ae"+
    "\30\0\1\u02ae\51\0\1\u028e\30\0\1\u028e\40\0\1\u029f"+
    "\30\0\1\u029f\50\0\1\u02af\30\0\1\u02af\46\0\1\u02b0"+
    "\30\0\1\u02b0\22\0\1\u02b1\30\0\1\u02b1\67\0\1\u02b2"+
    "\30\0\1\u02b2\45\0\1\u02b3\30\0\1\u02b3\47\0\1\u02b3"+
    "\30\0\1\u02b3\41\0\1\u028e\30\0\1\u028e\31\0\1\u020d"+
    "\30\0\1\u020d\25\0";

  private static int [] zzUnpacktrans() {
    int [] result = new int[42336];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\4\0\2\1\1\11\1\1\1\11\1\1\1\11\22\1"+
    "\141\0\1\1\7\0\1\11\23\0\1\11\377\0\1\11"+
    "\100\0\1\11\15\0\1\11\165\0\1\11\1\1\36\0"+
    "\1\1\63\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[691];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	S009_Sentences() { }



  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  S009_Sentences(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { addText();
	position++;
            }
          // fall through
          case 10: break;
          case 2:
            { addText();
		position++;
            }
          // fall through
          case 11: break;
          case 3:
            { checkEnd();
            }
          // fall through
          case 12: break;
          case 4:
            { if( !checkEdge()) {
		
			save(new PartitionElement(Entity.SENTENCE), Util.getValueReader(yytext()).getNumber());
		}
            }
          // fall through
          case 13: break;
          case 5:
            { addText();
		position--; //account for the following {LKN_C} character
		yybegin(YYINITIAL);
            }
          // fall through
          case 14: break;
          case 6:
            { addText(); 
	yybegin(lkn);
            }
          // fall through
          case 15: break;
          case 7:
            { start(null, inListPeriodo, true, false);
            }
          // fall through
          case 16: break;
          case 8:
            { start(null, inPeriodoList, true, false);
            }
          // fall through
          case 17: break;
          case 9:
            { annotate(new PartitionElement(Entity.SENTENCE), "U", true, true);
            }
          // fall through
          case 18: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java S009_Sentences [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        S009_Sentences scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new S009_Sentences(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
